---
Debugger:
  DebugThreshold: debug
  TestMode: '0'
Description: ''
FrameworkVersion: 7.0.x
Provider:
  Transport:
    Type: ''
RemoteSystem: ''
Requester:
  Invoker:
    SetLastQueue:
      Description: ''
      Events:
      - Asynchronous: '0'
        Event: TicketQueueUpdate
      GetAllArticleAttachments: '0'
      MappingInbound:
        Config:
          DataInclude:
          - RequesterRequestPrepareOutput
          ForceArray: ''
          KeepAttributes: ''
          PostRegExFilter: ~
          PostRegExValueCounter: ~
          PreRegExFilter: ~
          PreRegExValueCounter: ~
          Template: "<?xml version=\"1.0\" encoding=\"UTF-8\"?>\r\n<xsl:transform
            version=\"1.0\" xmlns:xsl=\"http://www.w3.org/1999/XSL/Transform\" xmlns:date=\"http://exslt.org/dates-and-times\"
            extension-element-prefixes=\"date\">\r\n    <xsl:output method=\"xml\"
            encoding=\"utf-8\" indent=\"yes\"/>\r\n    <xsl:template match=\"RootElement\">\r\n
            \       <xsl:copy>\r\n            <OTRS_TicketDynamicFieldSet_QueueHistory>\r\n
            \               <xsl:value-of select=\"//OldTicketData/Queue\"/>\r\n                <xsl:text>&#160;at&#160;\r\n
            \               </xsl:text>\r\n                <xsl:value-of select=\"//Ticket/Changed\"/>\r\n
            \               <xsl:text>&#160;(UTC)&#160;\r\n                </xsl:text>\r\n
            \           </OTRS_TicketDynamicFieldSet_QueueHistory>\r\n            <OTRS_TicketDynamicFieldSet_QueueMoveCount>\r\n
            \               <xsl:choose>\r\n                    <xsl:when test=\"DataInclude/RequesterRequestPrepareOutput/Ticket/DynamicField_QueueMoveCount
            = ''\">\r\n                        <xsl:text>1\r\n                        </xsl:text>\r\n
            \                   </xsl:when>\r\n                    <xsl:otherwise>\r\n
            \                       <xsl:value-of select=\"DataInclude/RequesterRequestPrepareOutput/Ticket/DynamicField_QueueMoveCount
            + 1\"/>\r\n                    </xsl:otherwise>\r\n                </xsl:choose>\r\n
            \           </OTRS_TicketDynamicFieldSet_QueueMoveCount>\r\n        </xsl:copy>\r\n
            \   </xsl:template>\r\n</xsl:transform>"
        Type: XSLT
      Type: Ticket::Generic
  Transport:
    Config:
      AdditionalHeaders: ~
      ContentType: ''
      DefaultCommand: GET
      Host: https://znuny.example.com
      InvokerControllerMapping:
        SetLastQueue:
          Command: GET
          Controller: /znuny-web/test.json
      SSLNoHostnameVerification: '0'
      Timeout: '120'
    Type: HTTP::REST

